
// DemoVCDlg.h : header file
//

#pragma once
#include "afxwin.h"


// CDemoVCDlg dialog
class CDemoVCDlg : public CDialogEx
{
// Construction
public:
	CDemoVCDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_DEMOVC_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;


public:
	bool InstrRead(CString strAddr, CString *pstrResult);
	bool InstrWrite(CString strAddr, CString strContent);

protected:
	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedCancel();
	afx_msg void OnBnClickedBtnConnect();
	CString m_strResponse;
	CString m_strInstrAddr;
	CString m_strCommand;
	
	afx_msg void OnBnClickedBtnSendCommand();
	afx_msg void OnBnClickedBtnReadResponse();
	afx_msg void OnBnClickedBtnSendAndRead();
	CEdit m_editInstrAddr;
	CEdit m_editCommand;
	CEdit m_editResponse;
};
